org.jfree.util

## Class StackableRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jfree.util.StackableRuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class StackableRuntimeException
      extends java.lang.RuntimeException

  A baseclass for RuntimeExceptions, which could have parent exceptions. These parent exceptions are raised in a subclass and are now wrapped into a subclass of this Exception.

  The parents are printed when this exception is printed. This class exists mainly for debugging reasons, as with them it is easier to detect the root cause of an error.

  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackableRuntimeException()` Creates a StackableRuntimeException with no message and no parent.
    `StackableRuntimeException(java.lang.String message)` Creates an exception.
    `StackableRuntimeException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getParent()` Returns the parent exception (possibly null).
    `void` | `printStackTrace(java.io.PrintStream stream)` Prints the stack trace to the specified stream.
    `void` | `printStackTrace(java.io.PrintWriter writer)` Prints the stack trace to the specified writer.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StackableRuntimeException

          public StackableRuntimeException()

      Creates a StackableRuntimeException with no message and no parent.

    - #### StackableRuntimeException

          public StackableRuntimeException(java.lang.String message,
                                   java.lang.Exception ex)

      Creates an exception.
      Parameters:
        `message` - the exception message.
        `ex` - the parent exception.

    - #### StackableRuntimeException

          public StackableRuntimeException(java.lang.String message)

      Creates an exception.
      Parameters:
        `message` - the exception message.

  - ### Method Detail

    - #### getParent

          public java.lang.Exception getParent()

      Returns the parent exception (possibly null).
      Returns:
        the parent exception.

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream stream)

      Prints the stack trace to the specified stream.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`
      Parameters:
        `stream` - the output stream.

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter writer)

      Prints the stack trace to the specified writer.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`
      Parameters:
        `writer` - the writer.